<template>
    <td ref="td" class="ht-table__td"  :style="{minWidth: width + 'px', maxWidth: width + 'px', width: width + 'px'}">
        <slot></slot>
    </td>
</template>

<script>
    export default {
        name: 'ht-td',
        data() {
            return {
                width: undefined
            }
        },
        mounted() {
            let ownIndex = Array.prototype.indexOf.call(this.$refs.td.parentElement.children, this.$refs.td);
            let th = this.$refs.td.parentElement.parentElement.parentElement.children[0].children[0].children[ownIndex];
            if (th.attributes['data-width'] !== undefined) {
                this.width = th.attributes['data-width'].value;
            }
        }
    };
</script>

<style scoped>

</style>
